//=============================================================================
// ZapSodaCan - a can of Diet Zap! cola.  Heals 3 points instead of the measly
// 2 points that Nuke! heals.
//=============================================================================
class ZapSodaCan extends DeusExPickup;

//
// Import the Zap! soda can icons
//
#exec TEXTURE IMPORT NAME=BeltIconZapSodaCan FILE=Textures\BeltIconZapSodaCan.bmp GROUP=Icons
#exec TEXTURE IMPORT NAME=LargeIconZapSodaCan FILE=Textures\LargeIconZapSodaCan.bmp GROUP=Icons

state Activated
{
	function Activate()
	{
		// can't turn it off
	}

	function BeginState()
	{
		local DeusExPlayer player;
		
		Super.BeginState();

		player = DeusExPlayer(Owner);
		if (player != None)
			player.HealPlayer(3, False);

		PlaySound(sound'MaleBurp');
		UseOnce();
	}
Begin:
}


defaultproperties
{
     ItemName="Zap! Soda"
     Icon=Texture'Zodiac.Icons.BeltIconZapSodaCan'
     largeIcon=Texture'Zodiac.Icons.LargeIconZapSodaCan'
     Description="A can of Zap! soda.  The label reads: '50% more effective than Nuke!'"
     beltDescription="ZAP SODA"
     MultiSkins(0)=Texture'DeusExItems.Skins.SodacanTex2'

     maxCopies=10
     bCanHaveMultipleCopies=True
     bActivatable=True
     ItemArticle="some"
     PlayerViewOffset=(X=30.000000,Z=-12.000000)
     PlayerViewMesh=LodMesh'DeusExItems.Sodacan'
     PickupViewMesh=LodMesh'DeusExItems.Sodacan'
     ThirdPersonMesh=LodMesh'DeusExItems.Sodacan'
     LandSound=Sound'DeusExSounds.Generic.MetalHit1'
     largeIconWidth=24
     largeIconHeight=45
     Mesh=LodMesh'DeusExItems.Sodacan'
     CollisionRadius=3.000000
     CollisionHeight=4.500000
     Mass=5.000000
     Buoyancy=3.000000

}
